com.microfocus.zserver.zexplorer.model

## Class DefaultZConnection

- java.lang.Object
- - com.microfocus.zserver.zexplorer.model.DefaultZConnection

-     public class DefaultZConnection
      extends java.lang.Object

  Represents a default connection to a host Copyright (C) Micro Focus
  Author:
    Godwin Okunzuwa

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `DefaultZConnection()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.util.List<java.lang.String>` | `getConns()`
    `java.lang.String` | `getDefaultHostCP()`
    `java.lang.String` | `getDefaultLocalCP()`
    `java.lang.String` | `getDescription()`
    `java.lang.String` | `getHeaderVersion()`
    `java.lang.String` | `getHostName()`
    `java.lang.String` | `getName()`
    `java.lang.String` | `getPort()`
    `void` | `setConns(java.util.List<java.lang.String> conns)`
    `void` | `setDefaultHostCP(java.lang.String defaultHostCP)`
    `void` | `setDefaultLocalCP(java.lang.String pDefaultLocalCP)`
    `void` | `setDescription(java.lang.String description)`
    `void` | `setHeaderVersion(java.lang.String headerVersion)`
    `void` | `setHostName(java.lang.String hostName)`
    `void` | `setName(java.lang.String name)`
    `void` | `setPort(java.lang.String port)`
    `java.lang.String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### DefaultZConnection

          public DefaultZConnection()

  - ### Method Detail

    - #### getName

          public java.lang.String getName()

      Returns:
        name

    - #### setName

          public void setName(java.lang.String name)

    - #### getHostName

          public java.lang.String getHostName()

      Returns:
        hostName

    - #### setHostName

          public void setHostName(java.lang.String hostName)

      Parameters:
        `hostName` -

    - #### getPort

          public java.lang.String getPort()

      Returns:
        port

    - #### setPort

          public void setPort(java.lang.String port)

      Parameters:
        `port` -

    - #### getDescription

          public java.lang.String getDescription()

      Returns:
        description

    - #### setDescription

          public void setDescription(java.lang.String description)

      Parameters:
        `description` -

    - #### getHeaderVersion

          public java.lang.String getHeaderVersion()

      Returns:
        headerVersion

    - #### setHeaderVersion

          public void setHeaderVersion(java.lang.String headerVersion)

      Parameters:
        `headerVersion` -

    - #### getDefaultHostCP

          public java.lang.String getDefaultHostCP()

      Returns:
        defaultHostCP

    - #### setDefaultHostCP

          public void setDefaultHostCP(java.lang.String defaultHostCP)

      Parameters:
        `defaultHostCP` -

    - #### getConns

          public java.util.List<java.lang.String> getConns()

      Returns:
        List connections

    - #### setConns

          public void setConns(java.util.List<java.lang.String> conns)

      Parameters:
        `conns` -

    - #### getDefaultLocalCP

          public java.lang.String getDefaultLocalCP()

      Returns:
        defaultLocalCP

    - #### setDefaultLocalCP

          public void setDefaultLocalCP(java.lang.String pDefaultLocalCP)

      Parameters:
        `pDefaultLocalCP` -

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`

Copyright © 2015 Micro Focus GmbH. All rights reserved.